The Spring Framework

## org.springframework.beans
Class PropertyAccessorFactory

    java.lang.Object
      org.springframework.beans.PropertyAccessorFactory

    public abstract class PropertyAccessorFactory

extends Object

Simple factory facade for obtaining `PropertyAccessor` instances, in particular for `BeanWrapper` instances. Conceals the actual target implementation classes and their extended public signature.

Since:
  2.5.2
Author:
  Juergen Hoeller

Constructor Summary
`PropertyAccessorFactory()`

Method Summary
`static BeanWrapper` `forBeanPropertyAccess(Object target)` Obtain a BeanWrapper for the given target object, accessing properties in JavaBeans style.
`static ConfigurablePropertyAccessor` `forDirectFieldAccess(Object target)` Obtain a PropertyAccessor for the given target object, accessing properties in direct field style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyAccessorFactory

    public PropertyAccessorFactory()

Method Detail

### forBeanPropertyAccess

    public static BeanWrapper forBeanPropertyAccess(Object target)

  Obtain a BeanWrapper for the given target object, accessing properties in JavaBeans style.

  Parameters:
    `target` - the target object to wrap
  Returns:
    the property accessor
  See Also:
    `BeanWrapperImpl`

### forDirectFieldAccess

    public static ConfigurablePropertyAccessor forDirectFieldAccess(Object target)

  Obtain a PropertyAccessor for the given target object, accessing properties in direct field style.

  Parameters:
    `target` - the target object to wrap
  Returns:
    the property accessor
  See Also:
    `DirectFieldAccessor`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.